services:
  felix-api:
    image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-felix/api:05-00-03-rm5-el9-demi-new
    container_name: felix-api
    #command: bash --login -c 'reflex init && reflex run'
    #command: sleep infinity
    command: ["sh", "-c", "s6-setuidgid itk sh -c 'export HOME=/config/home && reflex init && reflex run'"]
    environment:
      # - PUID=${PUID}
      # - PGID=${PGID}
      # - FELIX_DATA_INTERFACE=${FELIX_DATA_INTERFACE:-lo}
      # - FELIX_APP=${FELIX_APP:-1} # Start FELIX Application 0=none,1=felixcore,2=felix-star
      # - FELIX_CARD_NUMBER=${CARD_NUMBER:-0} # 0 or 1
      # - FELIX_DEVICE_NUMBER=${DEVICE_NUMBER:-0} # 0 or 1
      # - FELIX_INITIALIZE=${FELIX_INITIALIZE:-3} # 0=none, 1=init, 2=+config, 3=+convert from JSON
      # - FELIX_CONFIG_FILE=${FELIX_CONFIG_FILE:-flx_dev0.json}
      - USE_CONFIGDB=${USE_CONFIGDB:-1} # 0=use env vars defined above, 1=use settings from runkey defined below)
      - RUNKEY=my_felix_runkey
      - SEARCH_DICT={"serial":123}
      - CONFIGDB_KEY=demi/${STACK}/itk-demo-configdb/api/url
      - S6_VERBOSITY=2
      #- S6_KEEP_ENV=1
      - BACKEND_PORT=${PORT}
      - API_URL=http://${HOST}:${PORT}
    network_mode: host
    # ports:
    #   - "3000:3000"
    #   - "8000:8000"
    #   - "8080:8080"
    extra_hosts:
      - "${HOST}:host-gateway"
    # volumes:
    #   #- ${DOCKER_DIR}/config/:/config/workspace
    #   - ${WORKSPACE}:/config/workspace
    labels:
      - demi.${STACK}.itk-demo-felix.api.host=${HOST}
      - demi.${STACK}.itk-demo-felix.api.hostport=8000
      - demi.${STACK}.itk-demo-felix.api.url_postfix=/docs
      - demi.${STACK}.itk-demo-felix.api.health=/health
      - demi.${STACK}.itk-demo-felix.api.description=Interface to FELIX hardware
      - demi.${STACK}.itk-demo-felix.api.protocol=http
      - demi.${STACK}.itk-demo-felix.api.category=Microservice
      - demi.${STACK}.itk-demo-felix.api.url=http://${HOST}:8000

      - demi.${STACK}.itk-demo-felix.ui.host=${HOST}
      - demi.${STACK}.itk-demo-felix.ui.hostport=3000
      - demi.${STACK}.itk-demo-felix.ui.category=Microservice-UI
      - demi.${STACK}.itk-demo-felix.ui.description=FELIX UI
      - demi.${STACK}.itk-demo-felix.ui.protocol=http
      - demi.${STACK}.itk-demo-felix.ui.url=http://${HOST}:3000

      - demi.${STACK}.itk-demo-felix.core_ui.host=${HOST}
      - demi.${STACK}.itk-demo-felix.core_ui.hostport=8080
      - demi.${STACK}.itk-demo-felix.core_ui.category=Microservice-UI
      - demi.${STACK}.itk-demo-felix.core_ui.description=FELIX Core UI
      - demi.${STACK}.itk-demo-felix.core_ui.protocol=http
      - demi.${STACK}.itk-demo-felix.core_ui.url=http://${HOST}:8080
    devices:
      - /dev/cmem_rcc:/dev/cmem_rcc
      - /dev/flx0:/dev/flx0
      - /dev/flx1:/dev/flx1

  # felix-ui:
  #   image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-felix/ui:latest
  #   build:
  #     context: ../reflex-server
  #     dockerfile: ../reflex-server/nginx.Dockerfile
  #   environment:
  #     - BACKEND_PORT=${PORT}
  #     - API_URL=http://${HOST}:${PORT}
  #   #network_mode: "host"
  #   labels:
  #     - demi.${STACK}.itk-demo-felix.ui.host=${HOST}
  #     - demi.${STACK}.itk-demo-felix.ui.category=Microservice-UI
  #     - demi.${STACK}.itk-demo-felix.ui.description=FELIX UI
  #     - demi.${STACK}.itk-demo-felix.ui.protocol=http
  #   ports:
  #     - "3000:3000"
  #     - "4443:443"
  #     - "8082:80"

  # service-registry:
  #   image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/pypi-packages/service-registry/service-registry:latest
  #   restart: unless-stopped
  #   extra_hosts:
  #     - "host.docker.internal:host-gateway"
  #   depends_on:
  #     - etcd
  #   environment:
  #     - SLEEP_AFTER_REGISTRATOR=5
  #     - COLUMNS=120
  #   tty: true
  #   ports:
  #     - :5000
  #   volumes:
  #     - /var/run/docker.sock:/var/run/docker.sock
  #   labels:
  #     - demi.${STACK}.itk-demo-configdb.sr.host=${HOST}
  #     - demi.${STACK}.itk-demo-configdb.sr.category=Tools

  # etcd:
  #   image: registry.cern.ch/docker.io/bitnami/etcd:3.4.21-debian-11-r13
  #   restart: unless-stopped
  #   environment:
  #     - ALLOW_NONE_AUTHENTICATION=yes
  #   ports:
  #     - 2379:2379
  #     - 2380:2380
  #   tty: true
  #   labels:
  #     - demi.${STACK}.itk-demo-configdb.etcd.category=Tools
  #     - demi.${STACK}.itk-demo-configdb.etcd.host=${HOST}

  # dashboard:
  #   image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-dashboard/itk-demo-dashboard-ui:latest
  #   container_name: dashboard-ui
  #   restart: unless-stopped
  #   volumes:
  #     - ${DOCKER_DIR}/extraFiles:/usr/src/app/public/extraFiles
  #   ports:
  #     - 80:80
  #   environment:
  #     - ETCD_HOST=${HOST}
  #     - ETCD_PORT=2379
  #     - ETCD_NAMESPACE=demi

networks:
  default:
    name: deminet
    external: true
